<?php
/*
 * Script:  gd_test.php
 * Version: 1.1 @ 29th Mar 2016
 * Author:  Klemen Stirn
 * Website: http://www.phpjunkyard.com
 *
 * A file to test if GB library is enabled and can create a JPEG image
 */

if (!function_exists('imagecreate')) {
	die('ERROR: GD Library is NOT enabled.');
}

error_reporting(E_ALL);

$im = @imagecreate(100, 50) or die("ERROR: Cannot Initialize new GD image stream.");

$background_color = imagecolorallocate($im, 0, 255, 0);
$text_color = imagecolorallocate($im, 0, 0, 0);
imagestring($im, 5, 40, 18,  "OK", $text_color);

header("Content-type: image/jpeg");
imagejpeg($im);
imagedestroy($im);
